> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1messagingsubscribe



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Messaging//swagger/v1/swagger.json post /api/v1/messaging/subscribe
openapi: 3.0.0
info:
  title: NDS.Services.Messaging
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Messaging/
security: []
paths:
  /api/v1/messaging/subscribe:
    post:
      tags:
        - Messaging
      operationId: Messaging_SubscribeMessage
      requestBody:
        x-name: subscribeMessageRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscribeMessageRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscribeResult'
components:
  schemas:
    SubscribeMessageRequest:
      type: object
      additionalProperties: false
      required:
        - MessageType
        - CallbackUrl
      properties:
        MessageType:
          type: string
          minLength: 1
        CallbackUrl:
          type: string
          minLength: 1
        RoutingData:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/RoutingData'
    SubscribeResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            SubscriptionId:
              type: string
              format: guid
    RoutingData:
      type: object
      additionalProperties: false
      properties:
        Domain:
          type: string
          nullable: true
        Route:
          type: string
          nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````